package no.ntnu.idatt1002.demo.controller;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;
import javafx.scene.control.ProgressBar;
import no.ntnu.idatt1002.demo.data.Budget.BudgetItem;
import java.net.URL;
import java.util.ResourceBundle;

public class BudgetBarController implements Initializable {


    @FXML
    private Label nameTag;

    @FXML
    private Label leftoverTag;

    @FXML
    private ProgressBar miniBar;


    public void setData(BudgetItem budgetItem, double leftovers) {
        nameTag.setText(budgetItem.getBudgetCategory().label.substring(0,1).toUpperCase()
                + budgetItem.getBudgetCategory().label.substring(1));
        leftoverTag.setText(String.format("Left: %.0f", leftovers));

        double progress = 1+(leftovers-budgetItem.getBudgetAmount())/ budgetItem.getBudgetAmount();

        if(progress < 0.25) {
            miniBar.setStyle("-fx-accent: #ffb000;");
            if(progress < -0.00) {
                miniBar.setProgress(1.0);
                miniBar.setStyle("-fx-accent: #fa5959;");
            } else {
                miniBar.setProgress(progress);
            }
        } else {
            miniBar.setStyle("-fx-accent: rgba(48,222,109,0.8);");
            miniBar.setProgress(progress);
        }


    }

    @Override
    public void initialize(URL url, ResourceBundle resourceBundle) {
    }

}
